Skip to Content
veriom

GitHub app install start

POST
/v1/github/app/install

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Request Body

application/json
  1. body
next?Next
Length1 <= length <= 500
Default"/onboarding"
workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
installation_url*Installation Url
Example Request
curl -X POST 'https://api.veriom.ai/v1/github/app/install' \  -H 'Content-Type: application/json' \  -d '{  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}'
Example Response
{  "installation_url": "string"}